Subject: Re: linux-next: Tree for Nov 27 (drivers/pci/controller/dwc/pcie-designware-host.c)

From: Dilip Kota <[email-masked]>
Date: Thu, 28 Nov 2019 13:06:11 +0800

On 11/28/2019 12:26 AM, Lorenzo Pieralisi wrote:
> On Wed, Nov 27, 2019 at 07:55:57AM -0800, Randy Dunlap wrote:
>> On 11/26/19 8:57 PM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Please do not add any material for v5.6 to your linux-next included
>>> trees until after v5.5-rc1 has been released.
>>>
>>> Changes since 20191126:
>>>
>> on i386:
>> # CONFIG_PCI_MSI is not set
>>
>>
>> WARNING: unmet direct dependencies detected for PCIE_DW_HOST
>>    Depends on [n]: PCI [=y] && PCI_MSI_IRQ_DOMAIN [=n]
>>    Selected by [y]:
>>    - PCIE_INTEL_GW [=y] && PCI [=y] && OF [=y] && (X86 [=y] || COMPILE_TEST [=n])
>>
>> and related build errors:
> Dilip,
>
> I will have to drop your series which unfortunately forces Bjorn to pull
> my pci/dwc branch again, I don't think there is time for fixing it,
> given release timing and Stephen's request above.
My bad. I should have taken care of this.
Sorry for breaking it. I will submit a patch by marking PCI_INTEL_GW 
'depends on PCI_MSI_IRQ_DOMAIN'

Regards,
Dilip
>
> Lorenzo
>
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:72:15: error: variable ‘dw_pcie_msi_domain_info’ has initializer but incomplete type
>>   static struct msi_domain_info dw_pcie_msi_domain_info = {
>>                 ^~~~~~~~~~~~~~~
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:73:3: error: ‘struct msi_domain_info’ has no member named ‘flags’
>>    .flags = (MSI_FLAG_USE_DEF_DOM_OPS | MSI_FLAG_USE_DEF_CHIP_OPS |
>>     ^~~~~
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:73:12: error: ‘MSI_FLAG_USE_DEF_DOM_OPS’ undeclared here (not in a function); did you mean ‘SIMPLE_DEV_PM_OPS’?
>>    .flags = (MSI_FLAG_USE_DEF_DOM_OPS | MSI_FLAG_USE_DEF_CHIP_OPS |
>>              ^~~~~~~~~~~~~~~~~~~~~~~~
>>              SIMPLE_DEV_PM_OPS
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:73:39: error: ‘MSI_FLAG_USE_DEF_CHIP_OPS’ undeclared here (not in a function); did you mean ‘MSI_FLAG_USE_DEF_DOM_OPS’?
>>    .flags = (MSI_FLAG_USE_DEF_DOM_OPS | MSI_FLAG_USE_DEF_CHIP_OPS |
>>                                         ^~~~~~~~~~~~~~~~~~~~~~~~~
>>                                         MSI_FLAG_USE_DEF_DOM_OPS
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:74:6: error: ‘MSI_FLAG_PCI_MSIX’ undeclared here (not in a function); did you mean ‘SS_FLAG_BITS’?
>>        MSI_FLAG_PCI_MSIX | MSI_FLAG_MULTI_PCI_MSI),
>>        ^~~~~~~~~~~~~~~~~
>>        SS_FLAG_BITS
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:74:26: error: ‘MSI_FLAG_MULTI_PCI_MSI’ undeclared here (not in a function); did you mean ‘MSI_FLAG_PCI_MSIX’?
>>        MSI_FLAG_PCI_MSIX | MSI_FLAG_MULTI_PCI_MSI),
>>                            ^~~~~~~~~~~~~~~~~~~~~~
>>                            MSI_FLAG_PCI_MSIX
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:73:11: warning: excess elements in struct initializer
>>    .flags = (MSI_FLAG_USE_DEF_DOM_OPS | MSI_FLAG_USE_DEF_CHIP_OPS |
>>             ^
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:73:11: note: (near initialization for ‘dw_pcie_msi_domain_info’)
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:75:3: error: ‘struct msi_domain_info’ has no member named ‘chip’
>>    .chip = &dw_pcie_msi_irq_chip,
>>     ^~~~
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:75:10: warning: excess elements in struct initializer
>>    .chip = &dw_pcie_msi_irq_chip,
>>            ^
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:75:10: note: (near initialization for ‘dw_pcie_msi_domain_info’)
>> ../drivers/pci/controller/dwc/pcie-designware-host.c: In function ‘dw_pcie_allocate_domains’:
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:267:19: error: implicit declaration of function ‘pci_msi_create_irq_domain’; did you mean ‘pci_msi_get_device_domain’? [-Werror=implicit-function-declaration]
>>    pp->msi_domain = pci_msi_create_irq_domain(fwnode,
>>                     ^~~~~~~~~~~~~~~~~~~~~~~~~
>>                     pci_msi_get_device_domain
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:267:17: warning: assignment makes pointer from integer without a cast [-Wint-conversion]
>>    pp->msi_domain = pci_msi_create_irq_domain(fwnode,
>>                   ^
>> ../drivers/pci/controller/dwc/pcie-designware-host.c: At top level:
>> ../drivers/pci/controller/dwc/pcie-designware-host.c:72:31: error: storage size of ‘dw_pcie_msi_domain_info’ isn’t known
>>   static struct msi_domain_info dw_pcie_msi_domain_info = {
>>                                 ^~~~~~~~~~~~~~~~~~~~~~~
>>
>>
>> -- 
>> ~Randy
>> Reported-by: Randy Dunlap <[email-masked]>